# class CallStack

#### package haxe

Available on all platforms

Get informations about the call stack.

### Static variables

###

`staticwrapCallSite:Dynamic ‑> Dynamic`

Available on HTML5

### Static methods

###

`staticcallStack ():Array<StackItem>`

Return the call stack elements, or an empty array if not available.

###

`staticexceptionStack ():Array<StackItem>`

Return the exception stack : this is the stack elements between the place the last exception was thrown and the place it was caught, or an empty array if not available.

###

`statictoString (stack:Array<StackItem>):String`

Returns a representation of the stack as a printable string.